#include "config.h"
#include <stdio.h>
#include <sys/types.h>
#include "common.h"

extern int verbose;

int
sendRecordedData(filename)
char *filename;
{
  int i, c;
  unsigned char buf[IRRECORDBUF];
  
  FILE *fp;
  fp = fopen(filename, RMODE);
  if(fp == NULL){
    fprintf(stderr, "can't read record file. (%s)\n", filename);
    return(0);
  }
  i = 0;
  while((c = fgetc(fp)) != EOF){
    buf[i++] = (u_char) c;
  }
  fclose(fp);
  IRsendRemocomData(buf, i);	
  if(verbose)
    fprintf(stderr, "SEND %s\n", filename);
  return(1);
}

int
sendPresetCommand(maker, operation)
u_char maker;
char *operation;
{
  u_char operationcode;
  operationcode = str_to_operationcode(maker, operation);
  IRsendPresetCommand(maker, operationcode);
  if(verbose)
    fprintf(stderr, "PRESET %02x %s\n", maker, operation);
  return(1);
}
